| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Public Member Functions | Public Attributes | Friends | List of all members
TDimensionSizes Struct Reference

Structure with 4D dimension sizes (3 in space and 1 in time). More...

`#include <DimensionSizes.h>`

## Public Member Functions
| TDimensionSizes ()
| Default constructor.
| TDimensionSizes (const size_t x, const size_t y, const size_t z, const size_t t=0)
| Constructor. More...
size_t | GetElementCount () const
| Get element count, in 3D only spatial domain, in 4D with time. More...
bool | Is3D () const
| Is it a 3D object?
bool | Is4D () const
| Is it a 3D object with time?
bool | operator== (const TDimensionSizes &other) const
| Operator ==. More...
bool | operator!= (const TDimensionSizes &other) const
| Operator !=. More...

## Public Attributes
size_t | X
| X dimension size.
size_t | Y
| Y dimension size.
size_t | Z
| Z dimension size.
size_t | T
| Number of time steps (for time series datasets).

## Friends
TDimensionSizes | operator- (const TDimensionSizes &op1, const TDimensionSizes &op2)
| Operator -. More...

## Detailed Description

Structure with 4D dimension sizes (3 in space and 1 in time). The structure can be used for 3D (the time is then set to 1).
The structure contains only POD, so no C++ stuff is necessary.

Definition at line 63 of file DimensionSizes.h.

## Constructor & Destructor Documentation

TDimensionSizes::TDimensionSizes | ( | const size_t | x,
|  | const size_t | y,
|  | const size_t | z,
|  | const size_t | t = `0`
| ) |  |
| inline

Parameters

  [in] | x,y,z,t | - Three spatial dimesnions and time.

Definition at line 81 of file DimensionSizes.h.

## Member Function Documentation

size_t TDimensionSizes::GetElementCount | ( |  | ) | const
| inline

Get element count, in 3D only spatial domain, in 4D with time.

Returns
  spatial element count or number of elements over time.

Definition at line 93 of file DimensionSizes.h.

Here is the caller graph for this function:

bool TDimensionSizes::operator!= | ( | const TDimensionSizes & | other | ) | const
| inline

Parameters

  [in] | other | - the second operand to compare with

Returns
  true if !=

Definition at line 126 of file DimensionSizes.h.

bool TDimensionSizes::operator== | ( | const TDimensionSizes & | other | ) | const
| inline

Parameters

  [in] | other | - the second operand to compare with

Returns
  true if ==

Definition at line 116 of file DimensionSizes.h.

## Friends And Related Function Documentation

TDimensionSizes operator- | ( | const TDimensionSizes & | op1,
|  | const TDimensionSizes & | op2
| ) |  |
| friend

Get the size of the cube by subtracting two corners

Parameters

  [in] | op1 | - usually bottom right corner
  [in] | op2 | - usually top left corner

Returns
  the size of the inner cuboid

Definition at line 138 of file DimensionSizes.h.

The documentation for this struct was generated from the following file:

- Utils/DimensionSizes.h